<?php

  /* functions.php */

  // url processing
  $full_url = explode("?",$_SERVER['REQUEST_URI']);
	$query = $full_url[1];
	$url = rtrim($full_url[0],'/');
  $url_array = explode("/",$url);

  // determine repo
  if( strpos($url,'templates') !== false ):
    $repo = "/templates/spotco_dev/";
  else:
    $repo = "/websites/";
  endif;

  // set base URL
  $local_url = "http://localhost:".$_SERVER['SERVER_PORT'].$repo.$staging_directory_name."/";
  $staging_url = "https://qa.spotcointeractive.com".$repo.$staging_directory_name."/";
  $production_url = "https://".$production_domain."/";

	// set env
	if( strpos($_SERVER['SERVER_NAME'],'spotcointeractive') ): // staging
		$base = $staging_url;
		$isStaging = true;
	elseif( strpos($_SERVER['SERVER_NAME'],'localhost') === 0 ): // local dev
		$base = $local_url;
		$isLocal = true;
	else: // production
		$base = $production_url;
		$isProd = true;
	endif;

	// set $page
  $page = $url_array[(count($url_array)-1)];
	if ( ($page == "") || ($page == $staging_directory_name) ) $page = 'home';

  // set important dates
  $go_live_date = "2023-11-19 23:00"; //
  $presale_start = "2029-01-01 04:00"; //
  $presale_end = "2029-01-01 04:00"; //
  $onsale_start = "2029-01-01 04:00"; //
  $previews_start = "2029-01-01 04:00"; //
  $previews_end = "2029-01-01 04:00"; //
  $first_onsale = "2029-01-01 04:00"; //
  $last_onsale = "2029-01-01 04:00"; //
	$closing_start = "2029-01-01 04:00"; //

	// set show status
  $isPresale = false;
  $isPreviews = false;
	$isRunning = false;
	$isClosed = false;

	// set timezone and current date/time
	date_default_timezone_set("America/New_York"); 
	$now = date("Y-m-d H:i");

	if ( $now >= $go_live_date ) {
		$isLive = true;
		$debug = $now;
	} else {
		$isLive = false;
		$debug = $now;
	}
	if ( ($now >= $presale_start) && ($now < $closing_start) ) {
		$isRunning = true;
	}
	if ( ($now >= $presale_start) && ($now < $presale_end) ) {
		$isPresale = true;
	}
	if ( ($now >= $previews_start) && ($previews_end > $now) ) {
		$isPreviews = true;
	}
	if ($now >= $closing_start) {
		$isClosed = true;
	}

?>