<!DOCTYPE html>
<html lang="en">
<head><?php
/*
  define global variables
  -----------------------------*/

  // site info
  $version_number = "0.89";

  // URL / domain info
  $staging_directory_name = "sync";
  $production_domain = "syncingink.com";
  $production_company = "Syncing Ink LLC"; // for copyright in footer and legal notices

  // set ticketing links
  $main_ticket_link = "";

  // set social links
  $facebook_link = "https://www.facebook.com/syncingink/";
  $twitter_link = "https://twitter.com/syncingink";
  $instagram_link = "https://www.instagram.com/syncingink/";
  $tiktok_link = "https://www.tiktok.com/@syncingink";
  $youtube_link = "";

  include './_inc/functions.php';

?>
<!-- HEAD -->
<?php include './_inc/head.php'; ?>
<!-- END HEAD -->
</head>
<body class="<?php echo $page; echo ' '.$debug; ?>">
<?php include './_inc/scripts-inline.php'; ?>
<?php if(!$isLive && $isProd ): ?>

<?php else: ?>
<!-- OUTERWRAPPER <?php var_dump($url_array); echo $page; ?> -->
<div id="outerwrapper" onclick="void(0);">
<?php //include './_inc/page-header.php'; ?>
<?php if( $page === "home" ) {
    include './_inc/keyart.php';
  } elseif( $page != "privacy" && $page != "cookies" && $page != "gdpr" ) {
    include './_inc/keyart-alt.php';
  } ?>
<!-- PAGE CONTENT -->
<main id="content">
<?php include './_pages/'.$page.'.php'; ?>
</main>
<!-- END PAGE CONTENT -->
<?php include './_inc/page-footer.php'; ?>
</div>
<!-- END OUTERWRAPPER -->
<div id="video-overlay">
  <div id="video-overlay-inner"></div>
</div>
<!-- SCRIPTS -->
<?php include './_inc/scripts-footer.php'; ?>
<!-- END SCRIPTS -->
<?php include './_inc/cookie-popup.php'; ?>
<?php endif; ?>
</body>
</html>