<div id="faq">
  <div class="boxes flex">
    <div class="box col-1-2">
      <h3>Box Office</h3>
      <p class="address"><a id="faq-address" href="https://maps.app.goo.gl/pbowUHVbZ2b3SdzN7" target="_blank" rel="nofollow"><strong>Longacre Theatre</strong><br>
        <span class="small">220 W 48th St<br>
        New York, NY 10036</span></a>
        <span class="small"><em>opens Feb 20, 2024</em></span></p>
    </div>
    <div class="box col-1-2">
      <h3>Tickets By&nbsp;Phone</h3>
      <p>Call Telecharge<br>
        <span class="ib">at (212) 239-6200</span></p>
    </div>
    <div class="box col-1-2">
      <h3>Audience</h3>
      <p>Recommended for&nbsp;ages&nbsp;12+<br>
      <span class="small">Children under the&nbsp;age&nbsp;of&nbsp;4<br>
      are not permitted in&nbsp;the&nbsp;theater</span></p>
    </div>
    <div class="box col-1-2">
      <h3>Group Tickets</h3>
      <p>To book your group&nbsp;of&nbsp;10+,<br>
      go to Broadway Inbound<br>
      or call (866) 302-0995<p>
      <a id="btn-groups" class="btn" href="https://www.broadwayinbound.com/" target="_blank" rel="nofollow">BOOK TICKETS</a>
    </div>
  </div>
</div>
<style>
#faq {
  margin: 3em auto;
}
.boxes {
  justify-content: space-between;
  align-items: stretch;
  row-gap: 2em;
}
.box {
  text-align: center;
  background: #000;
  border-radius: 1em;
  border: 2px solid gold;
  padding: 2em;
}
.box h3 {
  color: #b28d28;
  font-size: 1.875em;
  line-height: 1;
  margin: 0 auto .125em;
  letter-spacing: .0375em;
  filter: brightness(1.2);
}
.box p {
  font-size: 1.375em;
  line-height: 1.3;
  margin: .625em auto;
}
</style>