<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php

  // SET DEFAULTS HERE

  $meta_title = "SYNCING INK | Official Website";
  $meta_description = "Mics ignite when the Masters unite! SYNCING INK is bringing authentic Hip Hop theater to The Apollo’s Victoria Theater May 7! Sign up now to join the Cypher.";
  $meta_sitename = "SYNCING INK | Official Website";
  $meta_fbid = "";


  // OVERRIDE DEFAULTS HERE
  switch($page){

    case "tickets":
      $meta_title = "Get Tickets | SYNCING INK | Official Website";
      $meta_description = "Get tickets.";
      break;

    case "privacy":
      $meta_title = "Privacy | SYNCING INK | Official Website";
      $meta_description = "Read our privacy policy.";
      break;

    case "cookies":
      $meta_title = "Cookies | SYNCING INK | Official Website";
      $meta_description = "Read about how we use cookies.";
      break;

    case "gdpr":
      $meta_title = "GDPR | SYNCING INK | Official Website";
      $meta_description = "Read about what we do to comply with the General Data Protection Regulation (GDPR).";
      break;

  }

?>

<title><?= $meta_title ?></title>

<!-- DEFAULT META -->
<meta name="description" content="<?= $meta_description ?>">
<meta name="author" content="SpotCo">

<!-- FACBOOK META-->
<meta property="og:title" content="<?= $meta_title ?>">
<meta property="og:description" content="<?= $meta_description ?>">
<meta property="og:image" content="<?= $base ?>_img/preview-facebook.jpg">
<meta property="og:url" content="<?php if($page=="home"){ echo $base; }else{ echo $base.$page; }?>">
<meta property="og:type" content="article">
<meta property="og:site_name" content="<?= $meta_sitename ?>">
<meta property="fb:admins" content="<?= $meta_fbid ?>">

<!-- TWITTER META -->
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="@syncingink">
<meta name="twitter:title" content="<?= $meta_title ?>">
<meta name="twitter:description" content="<?= $meta_description ?>">
<meta name="twitter:creator" content="@syncingink">
<meta name="twitter:image:src" content="<?= $base ?>_img/preview-twitter.jpg">

<!-- GOOGLE+ META -->
<meta itemprop="name" content="<?= $meta_title ?>">
<meta itemprop="description" content="<?= $meta_description ?>">
<meta itemprop="image" content="<?= $base ?>_img/preview-square.jpg">
